using System;
using System.Globalization;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Performance
{
    public class Rule1800
    {
        private Random random = new Random();

        // このメソッドは CA1800:Local に違反しています。
        public string Generate()
        {
            object value = this.random.Next().ToString(new NumberFormatInfo());
            string[] tokens = ((string)value).Split('1');
            return ((string)value).TrimStart('1').TrimEnd('9') + String.Join("|", tokens);
        }

        // このメソッドは CA1800:Parameter に違反しています。
        public string GenerateWith(object seed)
        {
            int length = ((string)seed).Length;
            return ((string)seed).Replace("foo", "bar") + length + this.random.Next();
        }
    }
}
